Bug 33769 - update-port: games/heretic
Summary: update-port: games/heretic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-10 19:00 UTC by Oliver Lehmann
Modified: 2002-01-12 20:05 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.13 KB, patch)
2002-01-10 19:00 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann 2002-01-10 19:00:01 UTC
	- enable sound (playing a Action shooter without sound hurts ;)
	- enable build for SDL based version of heretic
Comment 1 Oliver Lehmann 2002-01-11 12:27:37 UTC
Please apply these patch after applying the upper one.



diff -ruN heretic.old/Makefile /usr/ports/games/heretic/Makefile
--- heretic.old/Makefile	Fri Jan 11 13:38:23 2002
+++ /usr/ports/games/heretic/Makefile	Fri Jan 11 13:38:29 2002
@@ -22,16 +22,18 @@
 USE_GMAKE=	yes
 MAKE_ENV=	PTHREAD_LIBS=${PTHREAD_LIBS}
 
-.if defined(WANT_FASTX11)
+ALL_TARGET=	x11
+BINARY=		xheretic
+
+.if defined(WITH_FASTX11)
 ALL_TARGET=	fastx11
 BINARY=		xaheretic
-.elseif defined(WANT_SDL)
+.endif
+
+.if defined(WITH_SDL)
 ALL_TARGET=	sdl
 BINARY=		sdlheretic
 LIB_DEPENDS=	SDL-1.0.2:${PORTSDIR}/devel/sdl10
-.else
-ALL_TARGET=	x11
-BINARY=		xheretic
 .endif
 
 .if defined(WITHOUT_WAD)
@@ -39,6 +41,15 @@
 .else
 PLIST_SUB=	WAD:=""
 .endif
+
+pre-everything:
+	@${ECHO} ""
+	@${ECHO} "You may use the following build options:"
+	@${ECHO} ""
+	@${ECHO} "      WITH_FASTX11=yes  Use FastX11 support"
+	@${ECHO} "      WITH_SDL=yes      Use SDL."
+	@${ECHO} "      WITHOUT_WAD=yes   Don't install the wad file."
+	@${ECHO} ""
 
 post-extract:
 .if !defined(WITHOUT_WAD)
Comment 2 Oliver Lehmann 2002-01-12 14:19:36 UTC
Hi,

may I ask about a maintainership-delegation?

Greetings Oliver
Comment 3 Patrick Li freebsd_committer 2002-01-12 20:04:28 UTC
State Changed
From-To: open->closed

Superceded by PR 33814